Bug 191583 - www/bacula-web update to 6.0.0
Summary: www/bacula-web update to 6.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-03 16:28 UTC by olevole
Modified: 2014-08-10 07:21 UTC (History)
5 users (show)

See Also:


Attachments
update bacula-web to 6.0.0 (23.01 KB, text/plain)
2014-07-03 16:28 UTC, olevole
no flags Details
use this patch (16.77 KB, patch)
2014-08-07 23:12 UTC, Dan Langille
no flags Details | Diff
fixes DBO issues (22.66 KB, patch)
2014-08-08 16:57 UTC, Dan Langille
no flags Details | Diff
Fix bad options (22.67 KB, patch)
2014-08-08 18:56 UTC, Dan Langille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olevole 2014-07-03 16:28:02 UTC
Created attachment 144375 [details]
update bacula-web to 6.0.0

+ add license
+ add more options for DB backend dependency
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-07-04 00:46:01 UTC
Over to maintainer.
Comment 2 Dan Langille freebsd_committer 2014-07-04 00:49:45 UTC
Thanks.  It may be a little while before I can test.
Comment 3 John Marino freebsd_committer 2014-08-07 15:51:56 UTC
technically this timed out.  Where does it stand?
Comment 4 Dan Langille freebsd_committer 2014-08-07 15:56:51 UTC
I started testing last night and got stuck.  I have yet to follow up on the advice:

  http://lists.freebsd.org/pipermail/freebsd-ports/2014-August/094510.html

Code is no longer part of bacula.org, but part of web-bacula.org and they package their code differently.
Comment 5 Dan Langille freebsd_committer 2014-08-07 23:12:10 UTC
Created attachment 145491 [details]
use this patch

Please use this patch, based on the original, but updated because things changed post-submission.
Comment 7 John Marino freebsd_committer 2014-08-07 23:15:16 UTC
let's move it to "patch-ready"
Comment 8 Kevin Thompson 2014-08-07 23:32:25 UTC
Dan, I think there's copy-pasta in the Makefile changes in https://bugs.freebsd.org/bugzilla/attachment.cgi?id=145491:

.if ${PORT_OPTIONS:MPGSQL}
USE_PGSQL=              yes
CONFIGURE_ARGS+=        --with-postgresql=yes
SUB_LIST+=              REQ_PGSQL=postgresql
USE_PHP+=               pdo_sqlite
.endif

.if ${PORT_OPTIONS:MSQLITE}
USE_PGSQL=              yes
CONFIGURE_ARGS+=        --with-sqlite=yes
SUB_LIST+=              REQ_PGSQL=sqlite
USE_PHP+=               pdo_sqlite
.endif

The PGSQL processing has:
> USE_PHP+=               pdo_sqlite
>                             ^^^^^^


And the SQLITE processing has:
> USE_PGSQL=              yes
>     ^^^^^
> SUB_LIST+=              REQ_PGSQL=sqlite
>                             ^^^^^
Comment 9 Dan Langille freebsd_committer 2014-08-08 16:57:13 UTC
Created attachment 145529 [details]
fixes DBO issues

This should fix the PDO issues
Comment 10 Kevin Thompson 2014-08-08 18:12:32 UTC
One more, still has PGSQL references in the SQLITE processing:

> .if ${PORT_OPTIONS:MSQLITE}
> USE_PGSQL=		yes
>     ^^^^^
> CONFIGURE_ARGS+=	--with-sqlite=yes
> SUB_LIST+=		REQ_PGSQL=sqlite
>                           ^^^^^
> USE_PHP+=		pdo_sqlite
> .endif
Comment 11 Dan Langille freebsd_committer 2014-08-08 18:14:36 UTC
checking.
Comment 12 Dan Langille freebsd_committer 2014-08-08 18:56:33 UTC
Created attachment 145535 [details]
Fix bad options

How is this?
Comment 13 Kevin Thompson 2014-08-08 19:08:56 UTC
That looks good to me. I applied the patch to svn head, rm'd files/patch*, and ran `env DEVELOPER=yes make stage && make check-plist && make package` which worked great. `make install` seems to be good, have yet to actually test the installed software.
Comment 14 Kevin Thompson 2014-08-08 19:30:55 UTC
Tested, works for me.

Using with Bacula 5x on an SQLite database. Tested it on:
FreeBSD angst.csh.rit.edu 10.0-STABLE FreeBSD 10.0-STABLE #9 r269194: Mon Jul 28 19:37:09 EDT 2014     antiduh@angst.csh.rit.edu:/usr/obj/usr/src/sys/ANGST64  amd64
Comment 15 Dan Langille freebsd_committer 2014-08-08 19:32:45 UTC
Thank you for testing that.  I don't use bacula-web at present.
Comment 16 John Marino freebsd_committer 2014-08-09 12:38:31 UTC
hmm, I'm not seeing a good reason to override to "do-extract" target.  I'm going to try to remove this target.  It should still work fine.
Comment 17 John Marino freebsd_committer 2014-08-09 12:42:05 UTC
I'm not sure what's going on with the pkg-plist either

> cat pkg-plist
@owner www
@group www
@owner
@group

What's the point of that?  It looks like a no-op to me?
Comment 18 John Marino freebsd_committer 2014-08-09 12:45:29 UTC
install target uses $CP -r, switching to COPYSHARE_TREE

Can somebody explain why pkg-plist was switched to a dynamic plist? it's only 400 lines long originally.
Comment 19 John Marino freebsd_committer 2014-08-09 13:33:07 UTC
i moved this back to a static PLIST, there was no justification for a dynamic one.  I think the idea was that the BACULA_HOME was variable so it needed dynamic plist but this is false.

I also installed files more discriminately than "copy everything" which included useless INSTALL and README files.

so both do-extract and post-install targets have been removed now, and a full pkg-plist restored.
Comment 20 commit-hook freebsd_committer 2014-08-09 13:39:11 UTC
A commit references this bug:

Author: marino
Date: Sat Aug  9 13:38:44 UTC 2014
New revision: 364438
URL: http://svnweb.freebsd.org/changeset/ports/364438

Log:
  www/bacula-web: Upgrade version 1.38.9 => 6.0.1

  PR:		191583
  Submitted by:	olevole (olevole.ru)
  Approved by:	maintainer (dvl@)
  Lotsa TLC:	marino@

Changes:
  head/www/bacula-web/Makefile
  head/www/bacula-web/distinfo
  head/www/bacula-web/files/patch-bacula-web-classes.inc
  head/www/bacula-web/files/patch-bacula-web-index.php
  head/www/bacula-web/files/patch-bacula-web-report.php
  head/www/bacula-web/files/patch-bacula-web-templates-full_popup.tpl
  head/www/bacula-web/files/patch-bacula-web-templates-index.tpl
  head/www/bacula-web/files/patch-bacula-web-templates-report.tpl
  head/www/bacula-web/files/patch-bacula-web-templates-volumes.tpl
  head/www/bacula-web/files/pkg-message.in
  head/www/bacula-web/pkg-descr
  head/www/bacula-web/pkg-plist
Comment 21 John Marino freebsd_committer 2014-08-09 13:41:18 UTC
That took some time...
Comment 22 commit-hook freebsd_committer 2014-08-09 13:54:13 UTC
A commit references this bug:

Author: marino
Date: Sat Aug  9 13:54:08 UTC 2014
New revision: 364443
URL: http://svnweb.freebsd.org/changeset/ports/364443

Log:
  www/bacula-web: Fix pkg-message for non-default location installations

  I noticed in the commit diff that the pkg-message did not account for
  non-default values of BACULAWEB_HOME, but rather assumed the equivalent
  of %%WWWDIR%% (and didn't even use that!).  Add a new substition so that
  the pkg-message message is correct for non-default locations.

  PR:		191583

Changes:
  head/www/bacula-web/Makefile
  head/www/bacula-web/files/pkg-message.in
Comment 23 timp87 2014-08-10 07:08:49 UTC
I've noticed a line in Makefile:
CATEGORIES=     sysutils www

is it really needed?

Why it try to update soft from ports tree it makes portmaster to say

root@timbsd:/usr/ports/www/bacula-web # portmaster -da
===>>> Gathering distinfo list for installed ports

===>>> Starting check of installed ports for available updates

        ===>>> No /usr/ports/sysutils/bacula-web exists, and no information
        ===>>> about sysutils/bacula-web can be found in /usr/ports/MOVED


===>>> All ports are up to date
Comment 24 John Marino freebsd_committer 2014-08-10 07:14:27 UTC
(In reply to timp87 from comment #23)
> I've noticed a line in Makefile:
> CATEGORIES=     sysutils www
> 
> is it really needed?

It's backwards, it should be www sysutils.

I don't know understand the urge to put things in more than one category myself.  But I need to fix this.
Comment 25 commit-hook freebsd_committer 2014-08-10 07:21:22 UTC
A commit references this bug:

Author: marino
Date: Sun Aug 10 07:20:25 UTC 2014
New revision: 364506
URL: http://svnweb.freebsd.org/changeset/ports/364506

Log:
  Reverse categories in www/baculaweb for portmaster and friends

  Nobody noticed that the submitter added a new category to the port and
  kept it in alphabetical order rather than "true" category first, so we
  need to move "www" back to the front of the line.

  PR:	191583

Changes:
  head/www/bacula-web/Makefile